List Company Subsidiaries

Returns all subsidiary accounts on lower hierarchy layers, based on the Company account specified.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdstringRequired

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK The `subsidiaries` array in the response includes nested `subsidiaries` arrays if a child account has its own subsidiaries. The array also includes nested `subsidiaries` arrays for each Company with its own subsidiaries. For example, if the Company in question is above 2 layers of Account Hierarchy, its direct subsidiaries will also include `subsidiaries` arrays for their child accounts.
datalist of objects
metaobject

Errors

404
Not Found Error